Tryton Code Review Tool
Help | Bug tracker | Discussion group | Source code | Sign in
(106)

Issue 34701002: product: Limit cost method to fixed for service (Closed)

Can't Edit
Can't Publish+Mail
Start Review
Created:
9 months, 1 week ago by xcodinas
Modified:
2 months ago
Reviewers:
pokoli, rietveld-bot, ced, reviewbot
Visibility:
Public.

Description

Patch Set 1 #

Patch Set 2 : Add method in product #

Total comments: 2

Patch Set 3 : Fix comments #

Total comments: 3

Patch Set 4 : Use a domain in cost_price_method #

Patch Set 5 : Add get selection method and translate with ir.message #

Patch Set 6 : Add cost_price_method onchange #

Patch Set 7 : Use a domain #

Patch Set 8 : Add changelog entry #

Unified diffs Side-by-side diffs Delta from patch set Stats (+7 lines, -2 lines) Patch
M CHANGELOG View 1 2 3 4 5 6 7 1 chunk +1 line, -0 lines 0 comments Download
M product.py View 1 2 3 4 5 6 2 chunks +6 lines, -2 lines 0 comments Download

Messages

Total messages: 26
xcodinas
9 months, 1 week ago (2017-02-15 09:52:36 UTC) #1
reviewbot
https://codereview.tryton.org/34701002/diff/1/product.py#newcode6 product.py:6: F401 'Column' imported but unused URL: https://codereview.tryton.org/34701002
9 months, 1 week ago (2017-02-15 10:09:16 UTC) #2
xcodinas
Add method in product
9 months, 1 week ago (2017-02-15 11:05:28 UTC) #3
reviewbot
https://codereview.tryton.org/34701002/diff/20001/product.py#newcode6 product.py:6: F401 'Column' imported but unused URL: https://codereview.tryton.org/34701002
9 months, 1 week ago (2017-02-15 11:33:42 UTC) #4
pokoli
https://tryton-rietveld.appspot.com/34701002/diff/20001/product.py File product.py (right): https://tryton-rietveld.appspot.com/34701002/diff/20001/product.py#newcode115 product.py:115: cost_price_methods = [ There is no need to create ...
9 months, 1 week ago (2017-02-15 11:35:35 UTC) #5
xcodinas
Fix comments
9 months, 1 week ago (2017-02-15 11:54:49 UTC) #6
reviewbot
https://codereview.tryton.org/34701002/diff/40001/product.py#newcode6 product.py:6: F401 'Column' imported but unused URL: https://codereview.tryton.org/34701002
9 months, 1 week ago (2017-02-15 11:57:50 UTC) #7
ced
https://tryton-rietveld.appspot.com/34701002/diff/40001/product.py File product.py (right): https://tryton-rietveld.appspot.com/34701002/diff/40001/product.py#newcode118 product.py:118: ('fixed', 'Fixed'), I would prefer to have a single ...
9 months, 1 week ago (2017-02-16 11:20:31 UTC) #8
pokoli
https://tryton-rietveld.appspot.com/34701002/diff/40001/product.py File product.py (right): https://tryton-rietveld.appspot.com/34701002/diff/40001/product.py#newcode119 product.py:119: ('average', 'Average'), On 2017/02/16 11:20:30, ced wrote: > The ...
9 months, 1 week ago (2017-02-16 11:51:12 UTC) #9
xcodinas
Use a domain in cost_price_method
9 months, 1 week ago (2017-02-20 08:53:10 UTC) #10
reviewbot
https://codereview.tryton.org/34701002/diff/60001/product.py#newcode6 product.py:6: F401 'Column' imported but unused https://codereview.tryton.org/34701002/diff/60001/product.py#newcode56 product.py:56: E127 continuation line over-indented for visual ...
9 months, 1 week ago (2017-02-20 09:10:22 UTC) #11
ced
On 2017/02/20 08:53:10, xcodinas wrote: > Use a domain in cost_price_method As domain is a ...
9 months ago (2017-02-20 23:05:09 UTC) #12
xcodinas
Add get selection method and translate with ir.message
3 months ago (2017-08-21 13:59:11 UTC) #13
reviewbot
flake8 OK URL: https://codereview.tryton.org/34701002
3 months ago (2017-08-21 14:03:07 UTC) #14
xcodinas
Add cost_price_method onchange
3 months ago (2017-08-22 15:14:27 UTC) #15
reviewbot
flake8 OK URL: https://codereview.tryton.org/34701002
3 months ago (2017-08-22 15:41:25 UTC) #16
ced
On 2017/08/21 13:59:11, xcodinas wrote: > Add get selection method and translate with ir.message Do ...
2 months, 4 weeks ago (2017-08-27 16:26:06 UTC) #17
xcodinas
On 2017/08/27 16:26:06, ced wrote: > On 2017/08/21 13:59:11, xcodinas wrote: > > Add get ...
2 months, 4 weeks ago (2017-08-28 07:56:27 UTC) #18
ced
On 2017/02/20 23:05:09, ced wrote: > On 2017/02/20 08:53:10, xcodinas wrote: > > Use a ...
2 months, 1 week ago (2017-09-15 23:35:18 UTC) #19
xcodinas
Use a domain
2 months, 1 week ago (2017-09-18 10:12:54 UTC) #20
reviewbot
flake8 OK URL: https://codereview.tryton.org/34701002
2 months, 1 week ago (2017-09-18 10:16:23 UTC) #21
ced
Missing changelog entry
2 months ago (2017-09-19 21:48:58 UTC) #22
xcodinas
Add changelog entry
2 months ago (2017-09-20 10:46:48 UTC) #23
reviewbot
flake8 OK URL: https://codereview.tryton.org/34701002
2 months ago (2017-09-20 10:50:30 UTC) #24
ced
LGTM
2 months ago (2017-09-20 11:13:46 UTC) #25
rietveld-bot_tryton.org
2 months ago (2017-09-22 10:19:22 UTC) #26
New changeset 2f79f3444da6 by Xavier Codinas in branch 'default':
Limit cost method to fixed for service
http://hg.tryton.org/modules/product/rev/2f79f3444da6
Sign in to reply to this message.

Powered by Google App Engine
RSS Feeds Recent Issues | This issue
This is Rietveld bc8b922